Unit tzp38e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP38E_p;

function tzp38e: String;

implementation

function tzp38e: String;
var
NP,M,L,_i,K :Integer;
C :Array [0..4] of Extended;
const
A :Array [0..2] of Extended = ( 2.0e0,-3.0e0,1.0e0 );
B :Array [0..2] of Extended = ( 12.0e0,-7.0e0,1.0e0 );
begin
Result := '';  {   }
NP := 2;
M := 4;
L := 2;
ZP38E(NP,A,L,B,M,C,K);
Result := Result + Format('%10d %10d %10d %10d ',[NP,L,M,K]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[C[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp38e',Result);  {     tzp38e.res }
exit;
end;

end.
